import { Component, ViewChild } from '@angular/core';
import { IgxComboComponent } from 'igniteui-angular';
import { localData, State } from './local-data';

@Component({
  selector: 'app-combo-select-all-button',
  templateUrl: './combo-select-all-button.component.html',
  styleUrls: ['./combo-select-all-button.component.scss']
})

export class ComboSelectAllButtonComponent { 
  @ViewChild('combo') public combo!: IgxComboComponent;
  
  public localData: State[] = localData;

  public onSelectAllClick() {
    if (this.combo.selection.length === this.combo.data?.length) {
      this.combo.deselectAllItems();
    } else {
      this.combo.selectAllItems();
    }
  }
}
